## lilypond-0.1.27.tar.gz

=== mf/Makefile ===
# mf/Makefile

# subdir level:
#
depth = ..
#
#
include ./$(depth)/make/Include.make
#

# list of distribution files:
# 
TEXFILES = $(wildcard *.tex)
MFFILES = $(wildcard *.mf)
EXTRA_DISTFILES = $(MFFILES) $(TEXFILES) TODO
#

FONT_FILES = $(wildcard *[0-9].mf)
FET_FILES = $(wildcard feta[0-9]*.mf)

lyout = $(depth)/init
texout = $(depth)/tex
LYTABLES = $(addprefix $(lyout)/, $(FET_FILES:.mf=.ly))
TEXTABLES = $(addprefix $(texout)/, $(FET_FILES:.mf=.tex))
#

all: $(LYTABLES) $(TEXTABLES)

localclean:
	rm -f $(LYTABLES) $(TEXTABLES) $(outdir)/mfdeps

$(outdir)/%.dvi: %.mf
	mf $<
	gftodvi  $(basename $<)
	mv   $(basename $<).dvi $(outdir)
	rm $(basename $<).*gf

$(outdir)/%.log: %.mf
	mf $<
	mv $(@F) $@
	rm $(basename $< ).*gf

$(lyout)/%.ly $(texout)/%.tex: $(outdir)/%.log
	$(depth)/bin/$(outdir)/mf-to-table --ly $(lyout)/$(<F:.log=.ly) --tex $(texout)/$(<F:.log=.tex) $<

localinstall:
	$(INSTALL) -d $(MFDIR)/public/lilypond
	$(INSTALL) -m 644 $(MFFILES) $(MFDIR)/public/lilypond/

localuninstall:
	for i in $(MFFILES) ; do rm -f $(MFDIR)/lilypond/$$i; done
	-rmdir $(MFDIR)/public/lilypond/

$(outdir)/mfdeps: $(FONT_FILES)
# do something silly to avoid barfs if python not installed.
	echo > $@
	$(depth)/bin/$(outdir)/mf-deps  $^ >> $@

# dependencies:
#
include $(outdir)/mfdeps
#

=== make/debian/control ===
Source: lilypond
Section: tex
Priority: contrib/optional
Maintainer: Anthony Fok <foka@gpu.srv.ualberta.ca>
Standards-Version: 2.2.0.0

Package: lilypond
Architecture: any
Depends: ${shlibs:Depends}
Recommends: tetex-base, musixtex | musixtex-fonts
Description: LilyPond is the GNU Project music typesetter.  The program
generates visual or auditive output from a music 
definition file: it can typeset formatted sheet music 
to a TeX file and play (mechanical) performances to a 
MIDI file.  Features include multiple staffs, meters, 
clefs, keys, lyrics, versatile input-language, 
cadenzas, beams, slurs, triplets.
 .
 .
 Note: LilyPond uses the fonts from MusiXTeX.  Please install the package
       musixtex or musixtex-fonts when you install lilypond.  :)
 .
  URL: http://www.stack.nl/~hanwen/lilypond/
  Authors: Han-Wen Nienhuys <hanwen@stack.nl>
           Jan Nieuwenhuizen <jan@digicash.com>

=== make/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=lilypond

build:
	$(checkdir)
	./configure --disable-checking --disable-debugging \
		--disable-printing --prefix=/usr --enable-optimise \
		--enable-shared
	make all

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f {,*/}out/{*,.build} flower/config.{log,status}
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make prefix=`pwd`/debian/tmp/usr install
	ln -fs ../../../doc/lilypond debian/tmp/usr/lib/texmf/doc/lilypond
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd -m BUGS TODO NEWS DEDICATION ANNOUNCE README
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
